Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.mdr/1 1.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.api.xmi
Class XMIReader

    java.lang.Object
      org.netbeans.api.xmi.XMIReader

All Implemented Interfaces:
  javax.jmi.xmi.XmiReader

    public abstract class XMIReader

extends Object
implements javax.jmi.xmi.XmiReader

Base class for enhanced XMI readers.

Constructor Summary
`XMIReader()`

Method Summary
`abstract XMIInputConfig` | `getConfiguration()` Returns configuration object of this XMIReader.
`abstract Collection` | `read(InputStream stream, String URI, javax.jmi.reflect.RefPackage extent)` Standard JMI method for reading XMI documents from an InputStream.
`abstract Collection` | `read(String URI, javax.jmi.reflect.RefPackage extent)` Standard JMI method for reading XMI documents without URI specified.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMIReader

    public XMIReader()

Method Detail

### getConfiguration

    public abstract XMIInputConfig getConfiguration()

  Returns configuration object of this XMIReader. Any changes to the returned object will have immediate effect on the XMIReader's configuration.

### read

    public abstract Collection read(InputStream stream,
                                    String URI,
                                    javax.jmi.reflect.RefPackage extent)
                             throws IOException,
                                    javax.jmi.xmi.MalformedXMIException

  Standard JMI method for reading XMI documents from an InputStream.

  Specified by:
    `read` in interface `javax.jmi.xmi.XmiReader`
  Parameters:
    `stream` - Input stream to be used for reading an XMI document (if `null` is passed, XMIReader will try to open a connection to the spefified URI.
    `URI` - URI of the XMI document to be read from. If set to `null`, XMIReader will not be able to resolve relative hrefs.
    `extent` - Target package extent for deserialized objects.
  Returns:
    Collection of outermost objects read from XMI document.
  Throws:
    `IOException` - I/O error during reading of XMI document.
    `javax.jmi.xmi.MalformedXMIException` - XMI document contains invalid XMI.

### read

    public abstract Collection read(String URI,
                                    javax.jmi.reflect.RefPackage extent)
                             throws IOException,
                                    javax.jmi.xmi.MalformedXMIException

  Standard JMI method for reading XMI documents without URI specified.

  Specified by:
    `read` in interface `javax.jmi.xmi.XmiReader`
  Parameters:
    `URI` - URI of the XMI document to be read. Cannot be `null`.
    `extent` - Target package extent for deserialized objects.
  Returns:
    Collection of outermost objects read from XMI document.
  Throws:
    `IOException` - I/O error during reading of XMI document.
    `javax.jmi.xmi.MalformedXMIException` - XMI document contains invalid XMI.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.mdr/1 1.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.